disp('CONFRONTO METODI BISEZIONE-NEWTON-REGULAFALSI ')
a=1;
b=4;
ep=0.0001;

fprintf('\nCon una tolleranza di %.4f gli iterati dei tre metodi sono \n',ep);

fprintf('\nMetodo di bisezione: \n');
[root_bis, cont_bis, xk_bis] = bisection('f4',a,b,ep);
for i=1:cont_bis
    fprintf('%.10f \n',xk_bis(i));
end

fprintf('\nMetodo di Newton: \n');
[root_new, cont_new, xk_new]= newton('f4','Jacf4',0,ep);
for i=1:cont_new
    fprintf('%.10f \n',xk_new(i));
end

fprintf('\nMetodo Regula-Falsi: \n');
[root_rf, cont_rf, xk_rf] = regula_falsi('f4',a,b,ep);
for i=1:cont_rf
    fprintf('%.10f \n',xk_rf(i));
end

ep=1e-10;
[root_bis, cont_bis, xk_bis] = bisection('f4',a,b,ep);
[root_new, cont_new, xk_new]= newton('f4','Jacf4',0,ep);
[root_rf, cont_rf, xk_rf] = regula_falsi('f4',a,b,ep);
fprintf('\nCon una tolleranza di %.10f il numero di iterazioni dei due metodi e'' \n',ep);
fprintf('\nMedodo di bisezione: %d \n',cont_bis);
fprintf('\nMedodo di Newton: %d \n',cont_new);
fprintf('\nMedodo Regula_Falsi: %d \n',cont_rf);


fprintf('\nLa soluzione esatta e'' %.14f ',pi)
